import java.awt.Color;
import java.awt.Graphics;


public class Circle {

	protected int x;
	protected int y;
	protected int radius;
	protected Color fillColor;
	protected Color outlineColor;
	
	public Circle() {
		System.out.println("Circle default constructor");
		x = 250;
		y = 250;
		radius = 50;
		fillColor = Color.BLUE;
		outlineColor = Color.BLACK;
	}
	
	public Circle(int x, int y, int r, Color c) {
		this(x, y, r, c, Color.BLACK);
	}
	
	public Circle(int x, int y, int r, Color c, Color o) {
		System.out.println("Circle constructor with parameters: " +
				"x: " + x +
				"y: " + y +
				"r: " + r);
		this.x = x;
		this.y = y;
		radius = r;
		fillColor = c;
		outlineColor = o;
	}
	
	public void draw(Graphics page) {
		System.out.println("Cirlce.draw");
		page.setColor(fillColor);
		page.fillOval(x-radius, y-radius, 2 * radius, 2 * radius);
		page.setColor(outlineColor);
		page.drawOval(x-radius, y-radius, 2 * radius, 2 * radius);
	}
	
	public int getRadius() {
		return radius;
	}
	
	public void setRadius(int r) {
		radius = r;
	}
	
	public int getX() {
		return x;
	}

	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return y;
	}

	public void setY(int y) {
		this.y = y;
	}

	public Color getFillColor() {
		return fillColor;
	}

	public void setFillColor(Color fillColor) {
		this.fillColor = fillColor;
	}
	
	public Color getOutlineColor() {
		return outlineColor;
	}
	
	public void setOutlineColor(Color o) {
		outlineColor = o;
	}
	
	public double getArea() {
		System.out.println("get Area");
		return radius * radius * Math.PI;
	}
	
	public double getPerimeter() {
		System.out.println("get Perimeter");
		return 2 * radius * Math.PI;
	}

	public static void main(String[] args) {
		System.out.println("Circle main");
		Circle c = new Circle(50, 50, 100, Color.MAGENTA);
		//c.setRadius(25);
		System.out.println("The radius is: " + c.getRadius());
		System.out.println("The area is: " + c.getArea());
		System.out.println("The perimeter is: " + c.getPerimeter());
	}

}
